#include "rigid_paradise/lispy/lispy.hpp"
#include <iostream>

int main() {
	lispy::context ctx;
	ctx.print_parse_results = true;
	lispy_math::add_integer_functions(ctx);
	lispy_math::add_floatingp_functions(ctx);
	lispy::lvalue v = lispy::eval("cat $AA12 @A12:C23 (/. (+ 3 (* 5 6)) 10) \"data \\ ひらがな \n\ttabulated\" \"\" \"test 2 \\x65\"", ctx);
	
	lispy::print_types_visitor(std::cout, v, ctx);
	std::cout << std::endl;
	lispy::print_visitor(std::cout, v, ctx);
}